# Get Callback Result

Lấy thông tin kết quả gọi callback của request (chỉ áp dụng với request dạng callback)

**URL**: [https://vbee.vn/api/v1/tts/{request\_id}/callback-result](https://vbee.vn/api/v1/tts/%7Brequest_id%7D/callback-result)

**Method**: GET

**Content Type**: application/json

**Response Type**: text/json

**Tham số Header**

| **Tham số**   | **Giá trị**      | **Tính bắt buộc** | **Mô tả**                                                                                                  |
| ------------- | ---------------- | ----------------- | ---------------------------------------------------------------------------------------------------------- |
| Authorization | Bearer {{token}} | Bắt buộc          | Token đại diện cho App gọi API, được sinh ra dưới dạng JWT có thời hạn do lúc khởi tạo App người dùng chọn |

**Kết quả trả về**

* **status**: trạng thái của API (1: thành công, 0: thất bại)
* **error\_code**: mã lỗi
* **error\_message**: chi tiết lỗi
* **result**: dữ liệu trả về khi gọi API thành công
  * request\_id: ID của request
  * callback\_url: Webhook để nhận kết quả của request
  * created\_at: Thời gian gọi callback
  * payload: Dữ liệu gửi đi khi gọi callback
  * status\_code: Mã code nhận về khi gọi callback
  * result: Kết quả nhận về khi gọi callback

```
// Example request
curl --location 'https://vbee.vn/api/v1/tts/4fbe1c92-527a-4a31-841e-8f1e6e8d040b/callback-result'
```

```
// Example response
{
  "result": {
    "callback_url": "https://edfe-42-117-19-3.ngrok.io/callback",
    "created_at": "2022-08-12T07:18:54.479Z",
    "payload": {
      "app_id": "abc2baa6-b848-4014-8584-03812870fc28",
      "audio_link": "https://vbee-studio-30.s3.ap-southeast-1.amazonaws.com/synthesis/2022/08/12/fe90184f-7c7f-4803-9f81-5d70afd72e83.wav",
      "audio_type": "wav",
      "bitrate": 128,
      "characters": 16,
      "created_at": "2022-08-12T07:18:51.890Z",
      "request_id": "4fbe1c92-527a-4a31-841e-8f1e6e8d040b",
      "sample_rate": "44100",
      "speed_rate": 1,
      "status": "SUCCESS",
      "voice_code": "hn_female_ngochuyen_full_48k-fhg"
    },
    "request_id": "4fbe1c92-527a-4a31-841e-8f1e6e8d040b",
    "result": "OK",
    "status_code": "200"
  },
  "status": 1
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.vbee.vn/text-to-speech-lagacy/get-callback-result.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
